{% extends "base4.html" %}

{% block content %}
    <div class="container mt-5 form">
        <form id="form" method="POST" action="/story6/post_kegiatan" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group" style="width: 100%%; margin-left: 182px;">
                {{ forms.kegiatan_form.as_p }}
            </div>
            <br>
            <button type="submit" class="btn" style="background: #53488d; color: white; margin-right: 370px; margin-left: 300px;" id="bton">Add Activity</button>
        </form>
    <br><br>
    {% for kegiatan in data.kegiatan %}
    <div class="card text-white mb-3" style="max-width: 30rem; text-align: center; margin: 0 auto; float: none; margin-bottom: 10px; color: white; background: linear-gradient(45deg, #561354, #a77474); margin-right: 380px; width: 5000px;">
            <div class="card-header">{{ kegiatan.nama }}</div>
            <div class="card-body text-dark">
                <h5 class="card-title" style="color: white;">Participant : </h5>
                {% for peserta in data.peserta %}
                    {% if peserta.kegiatan.nama == kegiatan.nama %}
                        <p class="card-text" style="color: white;">{{ peserta.nama }}</p>
                    {% endif %}
                {% endfor %}
            </div>
            <form id="form" method="POST" action="/story6/post_peserta/{{ kegiatan.id }}" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-group" style="margin-left: -20px;">
                    {{ forms.peserta_form.as_p }}
                </div>
                <br>
                <button type="submit" class="btn" style="background: #53488d; color: white; margin-right: 405px;" id="bton">Add Participant</button>
            </form>
        </div>
        <br>
    {% endfor %}
    </div>
{% endblock content %}
